import GxDataStorage from "../data/GxDataStorage";
import GxDataType from "../data/GxDataType";
import GxObject from "../lang/GxObject";
import GxUser from "../lang/GxUser";
import GxDag from "./GxDag";
export default class GxCraft extends GxObject {
    logo: string;
    static readonly INACTIVATED = 1;
    static readonly ACTIVATED = 2;
    static readonly DESIGNING = 4;
    static readonly DEBUGGING = 8;
    status: number;
    tags: Array<string>;
    description: string;
    pos: GxObject;
    author: GxUser;
    createTime: string;
    updateTime: string;
    storage: GxDataStorage;
    flow: boolean;
    dataType: GxDataType;
    dag: GxDag;
    constructor(options?: any);
}
