import GxDataSchema from '../data/GxDataSchema';
import GxDataStorage from '../data/GxDataStorage';
import GxObject from "../lang/GxObject";
import GxProcToolConfig from '../tool/GxProcToolConfig';
import GxPoint from './GxPoint';
import GxQcConfig from './GxQcConfig';
import GxQStandard from './GxQStandard';
import GxWorkRule from './GxWorkRule';
export default class GxProcedure extends GxObject {
    pos: GxObject;
    craft: GxObject;
    partFlag: number;
    form: GxPoint;
    completion: boolean;
    weight: number;
    priority: number;
    dataStorage: GxDataStorage;
    workerInherit: number;
    workloadInherit: number;
    labelMatch: boolean;
    outputSchema: GxDataSchema;
    prodToolConfig: GxProcToolConfig;
    qc: boolean;
    qcSchema: GxDataSchema;
    qcToolConfig: GxProcToolConfig;
    qcConfig: GxQcConfig;
    workRule: GxWorkRule;
    qStandard: Array<GxQStandard>;
    attributes: Map<string, object>;
    constructor(options?: any);
}
