import GxObject from "../lang/GxObject";
import GxDataState from "./GxDataState";
import GxFileMeta from "./GxFileMeta";
/**
 * 成果数据（包含输入和输出，前端只负责接收模型展示，不负责具体的业务处理）
 */
export default class GxData extends GxObject {
    fileMetas: Array<GxFileMeta>;
    label: string;
    workload: number;
    createTime: string;
    project: GxObject;
    procedure: GxObject;
    task: GxObject;
    achievement: GxObject;
    sn: number;
    dataState: GxDataState;
    difficulty: number;
    workday: number;
    constructor(options?: any);
}
