import GxObject from "../lang/GxObject";
import GxUser from "../lang/GxUser";
import GxDataTypeCategory from "./GxDataTypeCategory";
import GxFileRule from "./GxFileRule";
export default class GxDataType extends GxObject {
    logo: string;
    dim: number;
    version: number;
    description: string;
    author: GxUser;
    pos: GxObject;
    category: GxDataTypeCategory;
    fileRules: Array<GxFileRule>;
    constructor(options?: any);
    add(fileRule: GxFileRule): void;
    removeById(id?: number): void;
    remove(fileRule: GxFileRule): void;
}
