declare enum GxTaskStatus {
    /**
     * 待生产（16 | 1 = 17）
     */
    WORK,
    /**
     * 生产中（16 | 2 = 18）
     */
    WORKING,
    /**
     * 生产中异常（16 | 2 | 4= 22）
     */
    WORKING_ABNORMAL,
    /**
     * 待质检（32 | 1 = 33）
     */
    CHECK,
    /**
     * 质检中（32 | 2 = 34）
     */
    CHECKING,
    /**
     * 质检中异常（32 | 2 | 4= 38）
     */
    CHECKING_ABNORMAL,
    /**
     * 待修订（64 | 1 = 65）
     */
    REVISE,
    /**
     * 修订中（64 | 2 = 66）
     */
    REVISING,
    /**
     * 修订中异常（64 | 2 | 4= 70）
     */
    REVISING_ABNORMAL,
    /**
     * 已完成（512）
     */
    FINISHED
}
export default GxTaskStatus;
