import GxFilter from "./GxFilter";
export default class GxProcedureFilter extends GxFilter {
    /**
     * 如果是生产线就是工艺ID，如果是项目就是项目ID
     */
    craftId: number;
    /**
     * 部分对象标记
     */
    partFlag: number;
    /**
     * 根节点
     */
    root: boolean;
    /**
     * 是否查询所有的前置
     */
    deepHeads: boolean;
    /**
     * 是否查询所有的后置
     */
    deepTails: boolean;
    /**
     * 一级前置
     */
    heads: boolean;
    /**
     * 一级后置
     */
    tails: boolean;
    /**
     * 带标签的
     */
    hasLabel: boolean;
    /**
     * 需要作业的
     */
    needWork: boolean;
    constructor(options?: any);
}
