var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import GxSortFilter from "./GxSortFilter";
var GxRegionFilter = /** @class */ (function (_super) {
    __extends(GxRegionFilter, _super);
    function GxRegionFilter(options) {
        var _this = _super.call(this, options) || this;
        /**
         * 加载基础信息
         * 说明：基础信息包括名称、别名、作业量、难易度、工天
         */
        _this.loadBasicInfo = false;
        // 加载被指派者
        _this.loadAssigner = false;
        /**
         * 加载正在做的状态信息
         * 说明：包括最新做的任务信息和进度信息
         */
        _this.loadCurState = false;
        // 加载作业工序信息
        _this.loadRegionProc = false;
        Object.assign(_this, options);
        return _this;
    }
    return GxRegionFilter;
}(GxSortFilter));
export default GxRegionFilter;
