import GxArgValueType from "../dict/GxArgValueType";
var GxArgument = /** @class */ (function () {
    function GxArgument(options) {
        this.createDir = false;
        this.id = (options && options.id) || 0;
        this.name = (options && options.name) || "";
        this.description = (options && options.description) || "";
        this.value = (options && options.value) || {};
        this.prefix = (options && options.prefix) || "";
        this.connector = (options && options.connector) || "";
        this.delimiter = (options && options.delimiter) || "";
        this.count = (options && options.count) || 0;
        this.valueType = (options && options.valueType) || GxArgValueType.DIRECTORY;
        this.pattern = (options && options.pattern) || "";
        this.createDir = (options && options.createDir) || false;
    }
    return GxArgument;
}());
export default GxArgument;
