var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import GxEcsOType from "../dict/GxEcsOType";
import GxOsType from "../dict/GxOsType";
import GxObject from "../lang/GxObject";
import GxOType from "../lang/GxOType";
import GxUser from "../lang/GxUser";
import GxArgument from "./GxArgument";
var GxTool = /** @class */ (function (_super) {
    __extends(GxTool, _super);
    function GxTool(options) {
        var _this = _super.call(this, options) || this;
        _this.author = null;
        _this.pos = null;
        _this.arguments = [];
        _this.category = null;
        _this.os = GxOsType.WINDOWS;
        _this.type = new GxOType(GxEcsOType.TOOL, "工具");
        _this.realName = (options && options.realName) || "";
        _this.description = (options && options.description) || "";
        _this.delimiter = (options && options.delimiter) || "";
        _this.author = (options && options.author) || new GxUser();
        _this.pos = (options && options.pos) || new GxObject();
        if (options && options.arguments) {
            options.arguments.forEach(function (item) {
                _this.arguments.push(new GxArgument(item));
            });
        }
        _this.category = (options && options.category) || undefined;
        _this.os = (options && options.os) || GxOsType.WINDOWS;
        _this.createTime =
            (options && options.createTime) || new Date().toLocaleString();
        _this.updateTime =
            (options && options.updateTime) || new Date().toLocaleString();
        return _this;
    }
    return GxTool;
}(GxObject));
export default GxTool;
