var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import GxEcsOType from "../dict/GxEcsOType";
import GxObject from "../lang/GxObject";
import GxOType from "../lang/GxOType";
import GxDataTypeCategory from "./GxDataTypeCategory";
var GxDataType = /** @class */ (function (_super) {
    __extends(GxDataType, _super);
    function GxDataType(options) {
        var _this = _super.call(this, options) || this;
        _this.dim = 0;
        _this.version = 1;
        _this.category = GxDataTypeCategory.DATA;
        Object.assign(_this, options);
        _this.type = new GxOType(GxEcsOType.DATATYPE, "数据类型");
        return _this;
    }
    GxDataType.prototype.add = function (fileRule) {
        if (this.category === GxDataTypeCategory.DATA) {
            if (this.fileRules === undefined) {
                this.fileRules = new Array();
            }
            this.fileRules.push(fileRule);
        }
        throw new Error("不支持的物料类型！");
    };
    GxDataType.prototype.removeById = function (id) {
        if (id === void 0) { id = 0; }
        if (!this.fileRules || this.fileRules.length === 0) {
            return;
        }
        this.fileRules = this.fileRules.filter(function (item) { return item.id !== id; });
    };
    GxDataType.prototype.remove = function (fileRule) {
        if (!this.fileRules || this.fileRules.length === 0) {
            return;
        }
        if (!fileRule || !fileRule.id) {
            return;
        }
    };
    return GxDataType;
}(GxObject));
export default GxDataType;
