import GxTask from "../task/GxTask";
var GxTaskStatus;
(function (GxTaskStatus) {
    /**
     * 待生产（16 | 1 = 17）
     */
    GxTaskStatus[GxTaskStatus["WORK"] = GxTask.WORK | GxTask.CLAIM] = "WORK";
    /**
     * 生产中（16 | 2 = 18）
     */
    GxTaskStatus[GxTaskStatus["WORKING"] = GxTask.WORK | GxTask.HANDLE] = "WORKING";
    /**
     * 生产中异常（16 | 2 | 4= 22）
     */
    GxTaskStatus[GxTaskStatus["WORKING_ABNORMAL"] = GxTask.WORK | GxTask.HANDLE | GxTask.ABNORMAL] = "WORKING_ABNORMAL";
    /**
     * 待质检（32 | 1 = 33）
     */
    GxTaskStatus[GxTaskStatus["CHECK"] = GxTask.CHECK | GxTask.CLAIM] = "CHECK";
    /**
     * 质检中（32 | 2 = 34）
     */
    GxTaskStatus[GxTaskStatus["CHECKING"] = GxTask.CHECK | GxTask.HANDLE] = "CHECKING";
    /**
     * 质检中异常（32 | 2 | 4= 38）
     */
    GxTaskStatus[GxTaskStatus["CHECKING_ABNORMAL"] = GxTask.CHECK | GxTask.HANDLE | GxTask.ABNORMAL] = "CHECKING_ABNORMAL";
    /**
     * 待修订（64 | 1 = 65）
     */
    GxTaskStatus[GxTaskStatus["REVISE"] = GxTask.REVISE | GxTask.CLAIM] = "REVISE";
    /**
     * 修订中（64 | 2 = 66）
     */
    GxTaskStatus[GxTaskStatus["REVISING"] = GxTask.REVISE | GxTask.HANDLE] = "REVISING";
    /**
     * 修订中异常（64 | 2 | 4= 70）
     */
    GxTaskStatus[GxTaskStatus["REVISING_ABNORMAL"] = GxTask.REVISE | GxTask.HANDLE | GxTask.ABNORMAL] = "REVISING_ABNORMAL";
    /**
     * 已完成（512）
     */
    GxTaskStatus[GxTaskStatus["FINISHED"] = GxTask.FINISH] = "FINISHED";
})(GxTaskStatus || (GxTaskStatus = {}));
export default GxTaskStatus;
