declare enum GxToolCategory {
    /**
     * 代表工具使用批处理脚本（.bat）或shell脚本（.sh）研发
     */
    COMMAND = 1,
    /**
     * 代表工具被编译器编译链接为可行的二进制程序（.exe）
     */
    APPLICATION = 2,
    /**
     * 代表工具使用java开发并打包为jar包（.jar）
     */
    JAVA = 3,
    /**
     * 代表工具使用python研发（.py）
     */
    PYTHON = 4
}
export default GxToolCategory;
