var GxOType = /** @class */ (function () {
    function GxOType(otid, name) {
        this.otid = otid;
        this.name = name;
    }
    GxOType.prototype.equals = function (obj) {
        if (obj === this) {
            return true;
        }
        else if (obj && obj instanceof GxOType) {
            return obj.otid === this.otid && obj.name === this.name;
        }
        return false;
    };
    GxOType.SYSTEM = 0; // 系统
    GxOType.USER = 1; // 用户
    GxOType.GROUP = 2; // 组织
    GxOType.MEMBER = 3; // 成员
    GxOType.NOTICE = 4; // 通知
    GxOType.COMMENT = 5; // 评论
    GxOType.FIELD = 6; // 字段
    GxOType.ATTRIBUTE = 7; // 属性
    return GxOType;
}());
export default GxOType;
