import GxCraft from "../craft/GxCraft";
import GxUnit from "../data/GxUnit";
import GxProjectStatus from "../dict/GxProjectStatus";
import GxGroup from "../lang/GxGroup";
import GxObject from "../lang/GxObject";
import GxUser from "../lang/GxUser";
import GxRegionLayer from "./GxRegionLayer";
export default class GxProject extends GxGroup {
    craft: GxCraft;
    createTime: string;
    beginTime: string;
    deadline: string;
    endTime: string;
    manager: GxUser;
    priority: number;
    status: GxProjectStatus;
    unit: GxUnit;
    measure: number;
    workload: number;
    planTime: number;
    layers: Array<GxRegionLayer>;
    prcFields: Array<GxObject>;
    envelope: string;
    handlingTasks: number;
    abnormalTasks: number;
    constructor(options?: any);
}
