import GxProcedure from "../craft/GxProcedure";
import GxTaskStatus from "../dict/GxTaskStatus";
import GxObject from "../lang/GxObject";
import GxUser from "../lang/GxUser";
import GxProject from "./GxProject";
import GxTaskFailInfo from "./GxTaskFailInfo";
export default class GxTask extends GxObject {
    static readonly NULL = 0;
    /**
     * 待领取状态标记2^0,
     * 进行中状态标记2^1,
     * 异常状态标记2^2,
     * 预留标记2^3。
     */
    static readonly CLAIM = 1;
    static readonly HANDLE = 2;
    static readonly ABNORMAL = 4;
    static readonly WORK = 16;
    static readonly STATE_WORK = "\u751F\u4EA7";
    static readonly CHECK = 32;
    static readonly STATE_CHECK = "\u8D28\u68C0";
    static readonly REVISE = 64;
    static readonly STATE_REVISE = "\u4FEE\u8BA2";
    static readonly FINISH = 512;
    createTime: string;
    curtWorker: GxUser;
    label: string;
    pos: GxObject;
    preWorker: GxUser;
    procedure: GxProcedure;
    project: GxProject;
    status: GxTaskStatus;
    takeTime: string;
    consumedHours: number;
    sn: number;
    oldStatus: GxTaskStatus;
    qc: boolean;
    version: number;
    taskFailInfo: GxTaskFailInfo;
    submitTime: string;
    durationTime: string;
    total: number;
    archive: boolean;
    constructor(options?: any);
}
