var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import GxEcsOType from "../dict/GxEcsOType";
import GxObject from "../lang/GxObject";
import GxOType from "../lang/GxOType";
var GxTask = /** @class */ (function (_super) {
    __extends(GxTask, _super);
    function GxTask(options) {
        var _this = _super.call(this, options) || this;
        _this.qc = false;
        _this.archive = false;
        Object.assign(_this, options);
        _this.type = new GxOType(GxEcsOType.TASK, "任务");
        return _this;
    }
    // 未知状态
    GxTask.NULL = 0;
    /**
     * 待领取状态标记2^0,
     * 进行中状态标记2^1,
     * 异常状态标记2^2,
     * 预留标记2^3。
     */
    GxTask.CLAIM = 1;
    GxTask.HANDLE = 2;
    GxTask.ABNORMAL = 4;
    // 生产状态2^4
    GxTask.WORK = 16;
    GxTask.STATE_WORK = "生产";
    // 质检状态2^5
    GxTask.CHECK = 32;
    GxTask.STATE_CHECK = "质检";
    // 修订状态2^6,预留标记2^7，2^8
    GxTask.REVISE = 64;
    GxTask.STATE_REVISE = "修订";
    // 完成状态2^9
    GxTask.FINISH = 512;
    return GxTask;
}(GxObject));
export default GxTask;
